[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.TabToPageIndex

Gets the real page index for the specified tab.

## Declaration

Source position: comctrls.pp line 484

`public function TCustomTabControl.TabToPageIndex(`
`AIndex: Integer`
`):Integer;`

## Arguments

`AIndex` |  | Ordinal position for the visible tab to convert to a physical page index.

## Function result

Ordinal page index after adjusting for tabs/pages not currently visible on the control.

## Description

TabToPageIndex is an Integer function used to get the page index for the tab at the specified position. The tab index value in AIndex does not include any non-visible tabs. TabToPageIndex adjusts the index value to include any TCustomPage instances in Page with its TabVisible property set to False.

The return value contains the value specified in AIndex after adding any non-visible pages prior to the requested position.

No actions are performed in the method at design-time; all pages are visible on the designer surface.